function OnModPreInit()
	print("[Perma Poly]: OnModPreInit()") -- first this is called for all mods
end

function OnModInit()
	print("[Perma Poly]: OnModInit()") -- after that this is called for all mods
end

function OnModPostInit()
	print("[Perma Poly]: OnModPostInit()") -- then this is called for all mods
end

function OnPlayerSpawned( player_entity ) -- this 
	local x, y = EntityGetTransform(player_entity)
	
	-- Doesn't work
	-- EntityLoad("data/entities/projectiles/chaos_polymorph.xml", x, y)
	
	-- Doesn't work
	-- EntityAddComponent( player_entity, "GameEffectComponent",
	-- {
	-- 	effect = "POLYMORPH",
	-- 	frames = "-1",
	-- 	polymorph_target = "data/entities/animals/blob.xml"
	-- })

	-- Works but can't manually set polymorph target
	local game_effect_comp = GetGameEffectLoadTo( player_entity, "POLYMORPH_RANDOM", true )
	ComponentSetValue( game_effect_comp, "frames", "-1" )	
	-- ComponentSetValue( game_effect_comp, "polymorph_target", "data/entities/animals/blob.xml" )

	-- Works but can't manually set polymorph target
	-- LoadGameEffectEntityTo( player_entity, "data/entities/misc/effect_polymorph_random.xml" )
	
	GamePrint( "[Perma Poly]: Enjoy your new life as this creature :)" )
end


-- this code runs when all mods' filesystems are registered
-- ModLuaFileAppend( "data/scripts/gun/gun_actions.lua", "mods/example/files/actions.lua" ) -- basically dofile("mods/example/files/actions.lua") will appear at the end of gun_actions.lua
-- ModMagicNumbersFileAdd( "mods/example/files/magic_numbers.xml" ) -- will override some magic numbers using the specified file
print("[Perma Poly]: Init done.")
